%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major 6
%define libxi %mklibname xi %{major}
%define libxi_devel %mklibname xi -d
%define libxi_static_devel %mklibname xi -d -s

Name: libxi
Summary:  X Input Extension Library
Version: 1.6.2.901
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.3
BuildRequires: libxext-devel >= 1.1
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
%if !%{bootstrap}
# necessary for building the man pages
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: docbook-dtd412-xml
%endif

%description
X Input Extension Library

#-----------------------------------------------------------

%package -n %{libxi}
Summary:  X Input Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxi}
X Input Extension Library

#-----------------------------------------------------------

%package -n %{libxi_devel}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxi} = %{version}
Requires: x11-proto-devel >= 7.5
Provides: libxi-devel = %{version}-%{release}
Obsoletes: %mklibname xi 6 -d

Conflicts: libxorg-x11-devel < 7.0
Conflicts: x11-proto-devel < 7.5

%description -n %{libxi_devel}
Development files for %{name}

%files -n %{libxi_devel}
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/X*
%doc %{_datadir}/doc/libXi

#-----------------------------------------------------------

%package -n %{libxi_static_devel}
Summary: Static development files for %{name}
Group: Development/X11
Requires:  %{libxi_devel} = %{version}-%{release}
Provides:  libxi-static-devel = %{version}-%{release}
Obsoletes: %mklibname xi 6 -d -s

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxi_static_devel}
Static development files for %{name}

%files -n %{libxi_static_devel}
%{_libdir}/libXi.a

#-----------------------------------------------------------

%prep
%setup -q -n libXi-%{version}

%build
%configure2_5x --enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libxi}
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.1.0


%changelog
* Fri May 24 2013 tv <tv> 1.6.2.901-1.mga3
+ Revision: 425962
- CVE release

* Sat Feb 09 2013 luigiwalser <luigiwalser> 1.6.2-1.mga3
+ Revision: 397255
- 1.6.2

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 358587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 colin <colin> 1.6.1-1.mga3
+ Revision: 248419
- New version: 1.6.1

  + tv <tv>
    - new release

* Wed Dec 21 2011 tv <tv> 1.4.5-1.mga2
+ Revision: 185304
- new release

* Sat Dec 17 2011 fwang <fwang> 1.4.4-1.mga2
+ Revision: 183170
- new version 1.4.4

* Mon Nov 21 2011 fwang <fwang> 1.4.3-2.mga2
+ Revision: 170348
- drop .la files

* Thu Jun 16 2011 tv <tv> 1.4.3-1.mga2
+ Revision: 108456
- new release

* Fri Apr 01 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 79625
- new release

  + rtp <rtp>
    - alloc to build libxi without xmtlo/asciidoc/docbook-dtd412-xml

* Sun Jan 09 2011 blino <blino> 1.4.0-3.mga1
+ Revision: 3228
- remove old ldconfig scriptlets
- imported package libxi

